# POST /v1/images/edits

**Method**: `POST`
**Endpoint**: `/v1/images/edits`

This section contains endpoint-specific behavior, parameters, or usage notes for this API.
This section contains endpoint-specific behavior, parameters, or usage notes for this API.
This section contains endpoint-specific behavior, parameters, or usage notes for this API.
This section contains endpoint-specific behavior, parameters, or usage notes for this API.

## Request Parameters

### Header Parameters

```text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters multipart/form-data

```text
model
string
Required
Example:
nano-banana
prompt
string
Required
Example:
A cat
image
file
Required
Supports multiple images or no reference image.
Example:
["file://E:\\Downloads\\1745936044575403500.png","file://E:\\Downloads\\image_20250826114255_1785.jpg"]
response_format
string
Optional
url or b64_json
Example:
url
aspect_ratio
enum<string>
Optional
Enum Values:
1:1
2:3
3:2
3:4
4:3
4:5
5:4
9:16
16:9
21:9
```

## Example Request

### Shell

```bash
curl --location --request POST '/v1/images/edits' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--form 'model="nano-banana"' \
--form 'prompt="A cat"' \
--form 'image=@"E:\\Downloads\\1745936044575403500.png"' \
--form 'image=@"E:\\Downloads\\image_20250826114255_1785.jpg"' \\
--form 'response_format="url"' \
--form 'aspect_ratio=""'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
object
```

#### Example

```json
{}
```
